Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Classes | Namespaces | Macros | Typedefs
ustring.h File Reference
`#include "ftypes.h"`

## Classes
class | UString
| UTF-16 string class without buffer management. More...
class | UStringBuffer< maxSize >
| UTF-16 string with fixed buffer size. More...

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.

## Macros
#define | USTRING(asciiString) Steinberg::UString256 (asciiString)
#define | USTRINGSIZE(var) (sizeof (var) / sizeof (Steinberg::char16))

## Typedefs
typedef UStringBuffer< 128 > | UString128
| 128 character UTF-16 string
typedef UStringBuffer< 256 > | UString256
| 256 character UTF-16 string

## Macro Definition Documentation

#define USTRING | ( |  | asciiString | ) | Steinberg::UString256 (asciiString)

#define USTRINGSIZE | ( |  | var | ) | (sizeof (var) / sizeof (Steinberg::char16))

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.